SystemOrganization addCategory: #ConfigurationOfSendGrid!

Object subclass: #ConfigurationOfSendGrid
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfSendGrid'!

!ConfigurationOfSendGrid class methodsFor: 'development support' stamp: 'ShoYoshida 7/18/2015 10:44'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfSendGrid class methodsFor: 'private' stamp: 'ShoYoshida 7/18/2015 10:44'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfSendGrid class methodsFor: 'private' stamp: 'ShoYoshida 7/18/2015 10:44'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfSendGrid class methodsFor: 'private' stamp: 'ShoYoshida 7/18/2015 10:44'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfSendGrid class methodsFor: 'metacello tool support' stamp: 'ShoYoshida 7/18/2015 10:44'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfSendGrid class methodsFor: 'loading' stamp: 'ShoYoshida 7/18/2015 10:44'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfSendGrid class methodsFor: 'loading' stamp: 'ShoYoshida 7/18/2015 10:44'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfSendGrid class methodsFor: 'loading' stamp: 'ShoYoshida 7/18/2015 10:44'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfSendGrid class methodsFor: 'accessing' stamp: 'ShoYoshida 7/18/2015 10:44'!
project

	^self new project! !

!ConfigurationOfSendGrid class methodsFor: 'development support' stamp: 'ShoYoshida 7/18/2015 10:44'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfSendGrid methodsFor: 'baselines' stamp: 'ShoYoshida 7/18/2015 10:46'!
baseline01: spec
	<version: '0.1-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec project: 'JSON' with: [
			spec
				className: 'ConfigurationOfJSON';
				versionString: #stable;
				repository: 'http://smalltalkhub.com/mc/PharoExtras/JSON/main'. ].
	].
! !

!ConfigurationOfSendGrid methodsFor: 'accessing' stamp: 'ShoYoshida 7/18/2015 10:44'!
customProjectAttributes
	 "Edit to return a collection of any custom attributes e.g. for conditional loading: Array with: #'Condition1' with: #'Condition2.
	For more information see: http://code.google.com/p/metacello/wiki/CustomProjectAttrributes"

	^ #().! !

!ConfigurationOfSendGrid methodsFor: 'symbolic versions' stamp: 'ShoYoshida 7/18/2015 10:45'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: #notDefined.
! !

!ConfigurationOfSendGrid methodsFor: 'accessing' stamp: 'ShoYoshida 7/18/2015 10:44'!
project

	^ project ifNil: [ 
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		project := MetacelloMCProject new projectAttributes: self customProjectAttributes. 
		(Smalltalk at: #MetacelloVersionConstructor) on: self project: project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfSendGrid methodsFor: 'symbolic versions' stamp: 'ShoYoshida 7/24/2015 11:01'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '1.0.1'.
! !

!ConfigurationOfSendGrid methodsFor: 'versions' stamp: 'ShoYoshida 7/24/2015 11:01'!
version101: spec
	<version: '1.0.1' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 1.0'.
		spec author: 'ShoYoshida'.
		spec project: 'JSON' with: #stable.
		spec
			baseline: 'SendGrid' with: [ spec repository:'github://newapplesho/sendgrid-smalltalk:ce676f2225374264108042c4c734fe116b3c5080/pharo-repository' ];
		import: 'SendGrid' ].
! !

!ConfigurationOfSendGrid methodsFor: 'versions' stamp: 'ShoYoshida 1/16/2016 17:04'!
version102: spec
	<version: '1.0.2' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 1.0'.
		spec author: 'ShoYoshida'.
		spec project: 'JSON' with: #stable.
		spec
			baseline: 'SendGrid' with: [ spec repository:'github://newapplesho/sendgrid-smalltalk:v1.0.2/pharo-repository' ];
		import: 'SendGrid' ].
! !

!ConfigurationOfSendGrid methodsFor: 'versions' stamp: 'ShoYoshida 7/18/2015 13:44'!
version10: spec
	<version: '1.0' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 1.0'.
		spec author: 'ShoYoshida'.
		spec project: 'JSON' with: #stable.
		spec
			baseline: 'SendGrid' with: [ spec repository:'github://newapplesho/sendgrid-smalltalk:cab0a5bb425aa557bc8d51fe956b376289fba6ed/pharo-repository' ];
		import: 'SendGrid' ].
! !
